Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.rules
Class JboBaseValidator

`java.lang.Object
oracle.jbo.rules.AbstractValidator
oracle.jbo.server.rules.JboBaseValidator`

Direct Known Subclasses:
  JboCompareValidator, JboListValidator, JboRangeValidator

public abstract class JboBaseValidator
extends AbstractValidator

The superclass for all pre-defined validators.

This class implements the basic functionality of storing the value of either an attribute to be validated, or the entity or application module reference on which validation is to be invoked. Subclasses must provide `validateValue`, which performs the actual validation test.

Since:
  Jdeveloper 3.0

Field Summary
`protected AttributeDefImpl` | `mValidatingAttr`

Fields inherited from class oracle.jbo.rules.AbstractValidator
`mbInverse, mDescription, mErrorMessageClass, mMsgId, mValidatingAttrName`

Constructor Summary
`JboBaseValidator()`

Method Summary
`protected java.lang.Object` | `extractValueToValidate(oracle.jbo.server.util.PropertyChangeEvent evObj)`
`protected void` | `initialize()`
`protected void` | `raiseException(java.lang.Exception e, oracle.jbo.server.util.PropertyChangeEvent evObj)`
`protected void` | `setNewValue(java.lang.Object newValue)` When the newValue is an Entity, get the attribute's value by using the getAttribute method on the entity.
`void` | `setValidatingAttribute(AttributeDefImpl attr)` Sets the validating attribute.
`void` | `setValidatingAttribute(EntityDefImpl beanInfo, java.lang.String str)` Sets the validating attribute by name.
`abstract boolean` | `validateValue(java.lang.Object value)` Validates an object.
`void` | `vetoableChange(oracle.jbo.server.util.PropertyChangeEvent evObj)` Invokes `validateValue()` on a value contained in a constrained property.

Methods inherited from class oracle.jbo.rules.AbstractValidator
`convertToJava, getDescription, getErrorMessageClass, getErrorMsgId, getInverse, getValidatingAttributeName, setDescription, setErrorMessageClass, setErrorMsgId, setInverse, setValidatingAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mValidatingAttr

    protected AttributeDefImpl mValidatingAttr

Constructor Detail

### JboBaseValidator

    public JboBaseValidator()

Method Detail

### initialize

    protected void initialize()

### extractValueToValidate

    protected java.lang.Object extractValueToValidate(oracle.jbo.server.util.PropertyChangeEvent evObj)

### vetoableChange

    public void vetoableChange(oracle.jbo.server.util.PropertyChangeEvent evObj)
                        throws JboException

  Invokes `validateValue()` on a value contained in a constrained property.

  .

  Parameters:
    `evObj` - a `PropertyChangeEvent` containing a property to be validated.
  Throws:
    `JboException` - if validation fails, with `CSMessageBundle` error code `EXC_VAL_ATTR_SET_FAILED`.

### raiseException

    protected void raiseException(java.lang.Exception e,
                                  oracle.jbo.server.util.PropertyChangeEvent evObj)

### validateValue

    public abstract boolean validateValue(java.lang.Object value)
                                   throws java.lang.Exception

  Validates an object.

  Subclasses must implement this method.

  Parameters:
    `value` - the object to be validated.
  Returns:
    `true` if the object is valid.
  Throws:
    `java.lang.Exception` - if validation cannot be performed.

### setNewValue

    protected void setNewValue(java.lang.Object newValue)
                        throws java.lang.Exception

  When the newValue is an Entity, get the attribute's value by using the getAttribute method on the entity. Otherwise, newValue should be a value to compare in this validator.
  Parameters:
    `newValue` - either the attribute's value or a value to use to compare in the validator.
  Throws:
    `java.lang.Exception`

### setValidatingAttribute

    public void setValidatingAttribute(AttributeDefImpl attr)

  Sets the validating attribute.
  Parameters:
    `attr` - an attribute.

### setValidatingAttribute

    public void setValidatingAttribute(EntityDefImpl beanInfo,
                                       java.lang.String str)

  Sets the validating attribute by name.

  This variant is used when the validator is attached to an entity, rather than to an attribute.

  Parameters:
    `beanInfo` - the entity containing the attribute.
    `str` - an attribute name as a string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.